package com.zcloud.personnel.positioning.domain.gateway;

import com.zcloud.personnel.positioning.domain.model.AlarmRecordTargetE;

/**
 * web-domain
 *
 * @Author fangjiakai
 * @Date 2026-07-07
 */
public interface AlarmRecordTargetGateway {
    Boolean add(AlarmRecordTargetE alarmRecordTargetE);

    Boolean update(AlarmRecordTargetE alarmRecordTargetE);

    Boolean deletedAlarmRecordTargetById(Long id);

    Boolean deletedAlarmRecordTargetByIds(Long[] ids);
}
